///home/berryj/link/bin/genMethods "-g" "-t" "MDBinGraph" "-r" "MBinGraph" "-I" "LINK/graph/DBinGraph.h" "-y" "display_graph" "-w" "free_graph" "-d" "graph" "-f" "__mDBinGraph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/DBinGraph.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_graph(SCM, SCM, int);
void free_graph(SCM);

typedef MDBinGraph _MDBinGraph;

#define _MDBinGraphDATA(x) ((MDBinGraph*) (EXTDATA(x)))
#define _MDBinGraphIS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MDBinGraph >::type))
#define _MDBinGraphISNT_DATA(x) (!_MDBinGraphIS_DATA(x))

#define _MDBinGraphCXX_DATA(x) (*(MDBinGraph*) (EXTDATA(VAL(x))))
#define _MDBinGraphCXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MDBinGraph >::type))
#define _MDBinGraphCXX_ISNT_DATA(x) (!_MDBinGraphCXX_IS_DATA(x))


PRIMITIVE STk_init___mDBinGraph()
{
	Wrapper<_MDBinGraph>::type = STk_new_CXXwrapper_id(
			Wrapper<_MDBinGraph>::name, 
			Wrapper<MBinGraph >::name,
			(void (*)(SCM x, SCM port, int mode))
			display_graph,
			(void (*)(SCM x))0,
			(void (*)(SCM x))free_graph);
	Tcl_InitHashTable(&Register<_MDBinGraph>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra__mDBinGraphMethods(void);

PRIMITIVE STk_init_methods___mDBinGraph()
{
	genExtra__mDBinGraphMethods();
	return UNDEFINED;
}
